Adlib

- Main Page
- Modules
- Data Structures

Functions
AdView_InterstitialAd

## Functions
EXPORT_API adlib_err | adview_add_interstitial_ad (Evas_Object *eo)
| This api will add the interstitial ad on the parent received. More...
EXPORT_API adlib_err | adview_interstitial_load (void)
| Loads the interstitial ad. Returns the success or failure result to the listener callbacks. Please see OnLoadFailed and OnLoadSucceeded callbacks. More...
EXPORT_API adlib_err | adview_interstitial_show (void)
| Shows the interstitial ad. More...
EXPORT_API adlib_err | adview_interstitial_ad_register_callbacks (interstitial_ad_event_callback_s *callback, void *user_data)
| Adds the interstitial ad callback handler. More...

## Detailed Description

## Function Documentation

EXPORT_API adlib_err adview_add_interstitial_ad | ( | Evas_Object * | eo | ) |

This api will add the interstitial ad on the parent received.

Since
  tizen 2.4

Parameters

  [in] | eo | parent object

Return values

  ADLIB_AD_NO_ERROR | Success.
  ADLIB_AD_INTERNAL_ERROR | Internal error.
  ADLIB_AD_INVALID_PARAMETERS | Invalid parameter.
  ADLIB_AD_ADLIB_NOT_INITIALIZED | If adlib is not initialised. i.e adlib_init() not called.

Returns
  adlib_err : Returns ADLIB_AD_NO_ERROR on success or with the error occurred.

Note
  This will only create the object and will not show ad.

EXPORT_API adlib_err adview_interstitial_ad_register_callbacks | ( | interstitial_ad_event_callback_s * | callback,
|  | void * | user_data
| ) |  |

Adds the interstitial ad callback handler.

Since
  tizen 2.4

Parameters

  [in] | callback | The set of callback functions to handle ad lifecycle events
  [in] | user_data | Data to be passed back to the callback

Return values

  ADLIB_AD_NO_ERROR | Success.
  ADLIB_AD_INTERNAL_ERROR | Internal error.
  ADLIB_AD_INVALID_PARAMETERS | Invalid parameter.
  ADLIB_AD_ADLIB_NOT_INITIALIZED | If adlib is not initialised. i.e adlib_init() not called.

Returns
  adlib_err : Returns ADLIB_AD_NO_ERROR on success or with the error occurred.

EXPORT_API adlib_err adview_interstitial_load | ( | void |  | ) |

Loads the interstitial ad. Returns the success or failure result to the listener callbacks. Please see OnLoadFailed and OnLoadSucceeded callbacks.

Since
  tizen 2.4

Return values

  ADLIB_AD_NO_ERROR | Success.
  ADLIB_AD_INTERNAL_ERROR | Internal error.

Returns
  adlib_err : Returns ADLIB_AD_NO_ERROR on success or with the error occurred.

EXPORT_API adlib_err adview_interstitial_show | ( | void |  | ) |

Shows the interstitial ad.

Since
  tizen 2.4

Return values

  ADLIB_AD_NO_ERROR | Success.
  ADLIB_AD_INTERNAL_ERROR | Internal error.

Returns
  adlib_err : Returns ADLIB_AD_NO_ERROR on success or with the error occurred.